Devuan bug report logs - #175
The eudev package doesn't provide expected udev

Package: eudev; Maintainer for eudev is Devuan Dev Team <devuan-dev@lists.dyne.org>;

Reported by: Alexei Sorokin <sor.alexei@meowr.ru>

Date: Tue, 16 Jan 2018 16:48:02 UTC

Severity: normal

Done: KatolaZ <katolaz@freaknet.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to owner@bugs.devuan.org:
bug#175; Package eudev. (full text, mbox, link).


Acknowledgement sent to Alexei Sorokin <sor.alexei@meowr.ru>:
New bug report received and forwarded. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #5 received at maintonly@bugs.devuan.org (full text, mbox, reply):

From: Alexei Sorokin <sor.alexei@meowr.ru>
To: maintonly@bugs.devuan.org
Subject: The eudev package doesn't provide expected udev
Date: Tue, 16 Jan 2018 19:32:13 +0300
Package: eudev
Version: 3.2.2-9

I'm using OpenRC on Devuan ascii.
It seems that there's a race condition between mountdevsubfs.sh and 
eudev on
boot which is probably due to "# Should-Start: udev" there not firing 
for
eudev, resulting in /dev/pts/ and /dev/shm/ not populating.
If I change "# Provides: eudev" to "# Provides: eudev udev" in
/etc/init.d/eudev, /dev/pts/ and /dev/shm/ populate fine so I conclude 
that
either the eudev package should provide "udev" or initscripts should 
rather
expect eudev than udev.

Thanks.


Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#175; Package eudev. (full text, mbox, link).


Acknowledgement sent to svante.signell@gmail.com:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #10 received at 175@bugs.devuan.org (full text, mbox, reply):

From: Svante Signell <svante.signell@gmail.com>
To: 175@bugs.devuan.org
Subject: New version of eudev available: 3.2.2-12
Date: Thu, 08 Mar 2018 13:02:55 +0100
Hi,

Can you try to see if the latest version of eudev (3.2.2-12) solves your
problems. Unfortunately I cannot reproduce your problems running OpenRC in a VM.

Thanks!



Reply sent to KatolaZ <katolaz@freaknet.org>:
You have taken responsibility. (full text, mbox, link).


Notification sent to Alexei Sorokin <sor.alexei@meowr.ru>:
bug acknowledged by developer. (full text, mbox, link).


Message #15 received at 175-done@bugs.devuan.org (full text, mbox, reply):

From: KatolaZ <katolaz@freaknet.org>
To: 175-done@bugs.devuan.org
Subject: Fixed
Date: Fri, 16 Mar 2018 19:20:30 +0000
[Message part 1 (text/plain, inline)]
Fixed in eudev-3.2.2-12
[signature.asc (application/pgp-signature, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#175; Package eudev. (full text, mbox, link).


Acknowledgement sent to Idar <idart@hotmail.com>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #20 received at 175@bugs.devuan.org (full text, mbox, reply):

From: Idar <idart@hotmail.com>
To: "175@bugs.devuan.org" <175@bugs.devuan.org>
Subject: Broke upgrade
Date: Tue, 20 Mar 2018 08:12:53 +0000
Hmmm... I think this change may have
caused the following upgrade snafu:


Setting up eudev (3.2.2-12) ...
insserv: script eudev: service udev already provided!
[ ok ] Stopping the hotplug events dispatcher: udevd.
[ ok ] Starting the hotplug events dispatcher: udevd.

*******************************************************
  Warning: eudev will default to the older network
  interface names, such as eth0 or wlan0. If you use
  the new names, such as enp0s3, you will need to add
  the following to the boot command:
                net.ifnames=1
********************************************************

update-initramfs: deferring update (trigger activated)
insserv: script eudev: service udev already provided!
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package eudev (--configure):
 subprocess installed post-installation script returned error exit status 1
Processing triggers for initramfs-tools (0.130) ...
update-initramfs: Generating /boot/initrd.img-4.9.0-6-amd64
I: The initramfs will attempt to resume from /dev/sda5
I: (UUID=601cd31c-7907-4959-82a6-2deae047b12a)
I: Set the RESUME variable to override this.
Errors were encountered while processing:
 eudev
E: Sub-process /usr/bin/dpkg returned an error code (1)




Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Wed May 27 10:20:36 2020;